Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 17 Apr 2014, 00:40
All times are UTC - 4
 Forum index » House Training » Beginners Help ( Start Here)
SFS or PET from DEBs
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [6 Posts]  
Author Message
coldb


Joined: 21 Mar 2013
Posts: 8

PostPosted: Mon 25 Mar 2013, 23:59    Post subject:  SFS or PET from DEBs
Subject description: Is there a really simple way?
 

Hello everyone!!

I use some linux distros on different machines, so I prefer to download and store deb packages to save time.

Now I need to know... It is possible to merge multiple deb packages on a single pet or sfs? If yes, how?

Thankz in advance!
Back to top
View user's profile Send private message 
R-S-H

Joined: 18 Feb 2013
Posts: 490

PostPosted: Tue 26 Mar 2013, 00:34    Post subject:  

Quote:
Now I need to know... It is possible to merge multiple deb packages on a single pet or sfs? If yes, how?

Yes, it is!

Search for PaDS in the utility section, install the package, collect all deb files in a directory, do a right-click on this directory and choose: combine to sfs.

_________________
LazY Puppy Home
The new LazY Puppy Information Centre

Back to top
View user's profile Send private message 
jpeps

Joined: 31 May 2008
Posts: 3219

PostPosted: Tue 26 Mar 2013, 01:54    Post subject: Re: SFS or PET from DEBs
Subject description: Is there a really simple way?
 

coldb wrote:


Now I need to know... It is possible to merge multiple deb packages on a single pet or sfs? If yes, how?

Thankz in advance!


Go easy...they don't always work after being combined into an sfs.
Back to top
View user's profile Send private message 
coldb


Joined: 21 Mar 2013
Posts: 8

PostPosted: Tue 26 Mar 2013, 03:53    Post subject:  

Heck, this app is extremely easy to use Very Happy ! But... it's true, something went wrong.

First I tried to merge 8 packages to SFS but I failed miserably.

Frogatto 1.3.1
Executables (3 MB~), data (220 MB~) and 6 dependencies (1 MB~)

Two menu entries were created (without icons) but none worked. According to the console the installation not even existed, so I thought I had overdone and tried to do a simple merge... This time a SFS with some emulators.

DOSBox, Kega Fusion, PCSX, SNES9X, VBA-M and 6 dependencies... But DOSBox and Snes9x reported missing dependencies. Shocked

jpeps wrote:
Go easy...they don't always work after being combined into an sfs.

So this is common or I may be doing something wrong? Sad
Back to top
View user's profile Send private message 
R-S-H

Joined: 18 Feb 2013
Posts: 490

PostPosted: Tue 26 Mar 2013, 04:16    Post subject:  

Hi.

I have downloaded PaDS again, installed and created an Audacity-1.3.12-2 SFS from 14 .deb Files inside a directory - using right-click function (you can use this also from the menu, if you edit the .desktop file (edit 'Categories=')).

Everything has been working fine incl. menu entry and executing the program after loading the sfs.

What are the your dependencies, some Qt libs? With Qt I think it's better to install a PET. While PaDS is building the SFS you can grab the PET to install from /root.

Menu entries (.desktop files) do need mostly a manually edit because of missing extensions of icon names etc. If the 'Exec=' entry contains something like %F etc. it is often useful to remove this also to run programs from menu.

I did use the .deb Files from the Lucid Repository and tried a lot from these programs - some of them don't work neither as a SFS nor as a PET.

_________________
LazY Puppy Home
The new LazY Puppy Information Centre

Back to top
View user's profile Send private message 
coldb


Joined: 21 Mar 2013
Posts: 8

PostPosted: Tue 26 Mar 2013, 06:30    Post subject:  

That was what I tried to merge:

frogatto_1.3.1+dfsg-1_i386.deb
frogatto-data_1.3.1+dfsg-1_all.deb

Dependencies:
libboost-regex1.49.0_1.49.0-3.1ubuntu1.2_i386.deb
libboost-system1.49.0_1.49.0-3.1ubuntu1_i386.deb
libglew1.7_1.7.0-3_i386.deb
libsdl-image1.2_1.2.10-3_i386.deb
libsdl-mixer1.2_1.2.11-7_i386.deb
libsdl-ttf2.0-0_2.0.9-1.1ubuntu1_i386.deb

After a few more attempts I decided to merge only 2 packages and install the 6 dependencies one by one... Worked! Mr. Green (still with the menu thing but worked)

Also, I've installed this game on my Precise 5.5 before using these packages only but this time 2 more were requested:

oss-compat_1
libmikmod2_3.1.12-2

Well, I'm still saving a goooood space in my personal file so I think I can already feel satisfied. However, I will keep trying... I still have other "heavy" games that need to be portable. Wink

Thank you for your attention so far!
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [6 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Beginners Help ( Start Here)
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0487s ][ Queries: 11 (0.0065s) ][ GZIP on ]